Page MenuHomeVyOS Platform

current rolling does not accept an empty pre-/post-login banner
Closed, ResolvedPublic

Description

vyos@vyos# show system login banner
>post-login ""
vyos@vyos# commit
[ system login banner ]
Traceback (most recent call last):
  File "/usr/libexec/vyos/conf_mode/system-login-banner.py", line 85, in <module>
    c = get_config()
  File "/usr/libexec/vyos/conf_mode/system-login-banner.py", line 52, in get_config
    tmp = tmp.replace('\\n','\n')
AttributeError: 'NoneType' object has no attribute 'replace'

Details

Difficulty level
Unknown (require assessment)
Version
1.3-rolling-202003031741
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

afics created this task.Mar 4 2020, 8:01 PM
afics created this object in space S1 VyOS Public.
c-po changed the task status from Open to In progress.Mar 4 2020, 8:34 PM
c-po claimed this task.
c-po closed this task as Resolved.Mar 4 2020, 9:13 PM
c-po triaged this task as Normal priority.
pasik added a subscriber: pasik.Mar 5 2020, 5:14 PM
njh added a subscriber: njh.May 24 2020, 10:07 AM